#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

VERSION = $(DEB_VERSION)_debian
RELEASEDATE = $(shell date --iso-8601 -d @$(SOURCE_DATE_EPOCH))
LDFLAGS := -ldflags="-extldflags -s -w -X main.version=$(VERSION) -X main.date=$(RELEASEDATE)"
ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel mips64el))
LDFLAGS := -buildmode=pie -ldflags="-extldflags -s -w -X main.version=$(VERSION) -X main.date=$(RELEASEDATE)"
endif

# Perform go generate
export DH_GOLANG_GO_GENERATE := 1

# Add glade files, icons, language files and generate-mos script
export DH_GOLANG_INSTALL_EXTRA := internal/player/glade \
	resources/scripts \
	resources/icons \
	resources/i18n \
	resources/metainfo/com.yktoo.ymuse.metainfo.xml \
	resources/com.yktoo.ymuse.desktop

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_build:
	dh_auto_build -- $(LDFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	xvfb-run dh_auto_test
